php-gtk-2.0.1 not building anymore with php-5.4

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

php-gtk-2.0.1 not building anymore with php-5.4

Thomas Spuhler
I am the maintainer of php-gtk-2.0.1 for Mageia.
We are in the beta 2 stage and this package doesn't build anymore with the usual Zend issue.
I would appreciate to receive a patch if one exists.

/home/spuhler/Mageia_svn/php-gtk2/BUILD/php-gtk2/main/phpg_support.c: In function
'phpg_init_object':
/home/spuhler/Mageia_svn/php-gtk2/BUILD/php-gtk2/main/phpg_support.c:276:42: error:
'zend_class_entry' has no member named 'default_properties'
/home/spuhler/Mageia_svn/php-gtk2/BUILD/php-gtk2/main/phpg_support.c: In function
'phpg_register_class':
/home/spuhler/Mageia_svn/php-gtk2/BUILD/php-gtk2/main/phpg_support.c:314:4: error:
'zend_class_entry' has no member named 'builtin_functions'
/home/spuhler/Mageia_svn/php-gtk2/BUILD/php-gtk2/main/phpg_support.c: In function
'phpg_register_interface':
/home/spuhler/Mageia_svn/php-gtk2/BUILD/php-gtk2/main/phpg_support.c:367:7: error:
'zend_class_entry' has no member named 'builtin_functions'



--
Best regards
Thomas Spuhler

signature.asc (205 bytes) Download Attachment